Page MenuHomePhabricator

Disable the "Find a language" label, search box and arrow button
Closed, ResolvedPublic1 Story Points

Description

The current "Find a language" search box does not work because of a bug in the API that we use. We want to comment out this search box so that users aren't frustrated by it not working.

Details

Related Gerrit Patches:
wikimedia/portals : masterDisabling broken language search.
wikimedia/portals : search-boxReplacing search icon with UI standards one.

Event Timeline

debt created this task.Feb 10 2016, 12:51 AM
debt raised the priority of this task from to Normal.
debt updated the task description. (Show Details)
debt added subscribers: debt, JGirault, Jdrewniak, MSyed.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 10 2016, 12:51 AM
debt moved this task from Needs triage to UX on the Discovery board.Feb 15 2016, 9:50 PM
debt set Security to None.Feb 17 2016, 6:59 PM
debt edited a custom field.
ksmith renamed this task from Comment out "Find a language" label, search box and arrow button to Remove the "Find a language" label, search box and arrow button.Feb 17 2016, 7:06 PM
ksmith renamed this task from Remove the "Find a language" label, search box and arrow button to Disable the "Find a language" label, search box and arrow button.
debt assigned this task to Jdrewniak.Feb 23 2016, 8:30 PM

Change 274108 had a related patch set uploaded (by Jdrewniak):
Disabling broken language search.

https://gerrit.wikimedia.org/r/274108

Change 274117 had a related patch set uploaded (by Jdrewniak):
Replacing search icon with UI standards one.

https://gerrit.wikimedia.org/r/274117

Change 274117 merged by jenkins-bot:
Replacing search icon with UI standards one.

https://gerrit.wikimedia.org/r/274117

@JGirault @Jdrewniak Are you planning on using SVGs later in the process in contrast to the PNGs right now?

Change 274108 merged by jenkins-bot:
Disabling broken language search.

https://gerrit.wikimedia.org/r/274108

@Volker_E we'd love to, but the lack of SVG support in old browsers is a big issue...
For now we haven't made a decision on the list of browsers that we support. We try to support them all.

debt closed this task as Resolved.Mar 11 2016, 2:44 AM

Done and released on March 10, 2016 (PST)!

What's the API bug?

debt moved this task from Done to Completed on the Discovery-Portal-Sprint board.Apr 7 2016, 3:37 PM